C
C
C
      PROGRAM MIDPREP
C
C
C     ...D.GAUDE-FUGAROLAS...
C       CAMBRIDGE NOV. 2001
C
C
C     ...prepares data from 'struct2' for 'bainite3'
C
C
      IMPLICIT NONE
C
      INTEGER IN1, IN2, OUT1, AUXI, AUXJ, I
C
      DOUBLE PRECISION VTFERR, VP, VA, RATE, C(7), BS, BS2, VRFERR
C
      REAL AUXR
C
      PARAMETER(IN1 = 1)
      PARAMETER(IN2 = 2)
      PARAMETER(OUT1 = 3)
C
      AUXJ = 123
      AUXI = 1
      AUXR = 1.0
C
C
C     ...Opening files and collecting information...
C
C
      OPEN(UNIT=IN1, FILE="hermes.dat")
C
      DO 10, I=1, 7
C
         READ (IN1,*)C(I)
C
 10   CONTINUE
C
      READ(IN1,*)
      READ(IN1,*)
      READ(IN1,*) BS
      READ(IN1,*)
      READ(IN1,*)
      READ(IN1,*)
      READ(IN1,*) RATE
C
      CLOSE(IN1)
C
      OPEN(UNIT=IN2, FILE="outstruct.dat")
C
      READ(IN2,*) VTFERR, VP, VA
      READ(IN2,*) BS2, C(1)
C
      CLOSE(IN2)
C
C
C     ...Avoid transformation over 100%...
C
C
      IF(VA.LT.0.0) THEN
C
         VP = VP + VA
         VA = 0.0
C
      ENDIF
C
C
C     ...scale to ignore fraction transformed to pearlite...
C
C
      VRFERR = VTFERR /(VTFERR+VA)
C
C     ... writing input file for bainite3 ...
C
      OPEN(UNIT=OUT1, FILE="inpbain3.dat")
C
      WRITE(OUT1,*) BS, VRFERR, AUXR, AUXI
      WRITE(OUT1,*) RATE
      WRITE(OUT1,*) AUXJ
C
      DO 20, I=1,7
         WRITE(OUT1,*) C(I)
 20   CONTINUE
C
      CLOSE(OUT1)
C
      STOP
C
      END
C
C




