C
C
      PROGRAM FINISH
C
C
C     ... D.Gaude-Fugarolas ...
C      Cambridge November 2001
C
C
C     ...collects all the data from different files
C        and stores (and prints to screen, may be)
C        the data in 'results.dat'  .... 
C
      IMPLICIT NONE
C
      INTEGER IN1, IN2, OUT1
C
      DOUBLE PRECISION VFERR,VPEARL,VBAIN,VMART,VRAUS,VAUS,VTOT, VTEMP
C
      PARAMETER(IN1 = 1)
      PARAMETER(IN2 = 2)
      PARAMETER(OUT1 = 3)
C
C
C     ...opens files with results from calculations...
C
C
      OPEN(UNIT=IN1,FILE="outstruct.dat")
C
      READ(IN1, *) VFERR, VPEARL, VAUS
C
      CLOSE(IN1)
C
C*** Modification to avoid over 100% transformation
C
      IF(VAUS.LT.0.0) THEN
         VPEARL = VPEARL + VAUS
         VAUS = 0.0
      ENDIF
C
C
C***
C
      OPEN(UNIT=IN2,FILE="outbain3.dat")
C
      READ(IN2, *) VTEMP, VBAIN, VMART, VRAUS
C
      CLOSE(IN2)
C
C
      VBAIN = (VFERR+VAUS)*VBAIN
      VMART = (VFERR+VAUS)*VMART
      VRAUS = (VFERR+VAUS)*VRAUS
      VTOT  = VFERR + VPEARL + VBAIN + VMART + VRAUS
C     ... saves data ...
C
C
      OPEN(UNIT=OUT1,FILE="results.dat")
C
      WRITE(OUT1, 101) 
      WRITE(OUT1, 102) 
      WRITE(OUT1, 103)
      WRITE(OUT1, 104) VFERR
      WRITE(OUT1, 105) VPEARL
      WRITE(OUT1, 106) VBAIN
      WRITE(OUT1, 107) VMART
      WRITE(OUT1, 108) VRAUS
      WRITE(OUT1, 102) 
      WRITE(OUT1, 110) VTOT
      WRITE(OUT1, 102) 
      WRITE(*, 109) 
C
      CLOSE(OUT1)
C
      STOP
C
 101  FORMAT(' Phases present after cooling/quench:')
 102  FORMAT('--------------------------------------')
 103  FORMAT('Volume fraction of:')
 104  FORMAT(2X,'Ferrite', 21X, F6.4)
 105  FORMAT(2X,'Pearlite', 20X,F6.4)
 106  FORMAT(2X,'Bainite', 21X,F6.4)
 107  FORMAT(2X,'Martensite', 18X,F6.4)
 108  FORMAT(2X,'Retained austenite', 10X,F6.4)
 109  FORMAT('These results are saved in <result.dat>')
 110  FORMAT(2X,'Total', 23X,F6.4)
C
      END
C
C
